%global commit0 add1092b55054edd2e71af8de9a6055fbba4036f

Name:           qotd
Version:        0.11.0
Release:        1%{?dist}
Summary:        A simple and lightweight Quote of the Day daemon

License:        GPLv2
URL:            https://gitlab.com/ammongit/qotd
Source0:        https://gitlab.com/ammongit/%{name}/repository/archive.tar.gz?ref=v%{version}#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  systemd
BuildRequires:  git
BuildRequires:  groff
BuildRequires:  ghostscript

%description
QOTD (quote of the day) is specified in RFC 865 as a way of broadcasting a
quote to users. On both TCP and UDP, port 17 is officially reserved for
this purpose. This program is meant to provide a simple QOTD daemon on
IPv4 and IPv6 over TCP/IP.

%prep
%autosetup -n %{name}-v%{version}-%{commit0}

%build
CFLAGS="%{optflags} %{__global_ldflags}" make
make -C man

%install
make install ROOT=%{buildroot}

# Build script autoinstalls qotd.pdf, so copy README there.
cp -a README.md %{buildroot}/%{_pkgdocdir}/

# Installs systemd service file.
mkdir -p %{buildroot}%{_unitdir}
cp -a misc/qotd.service %{buildroot}%{_unitdir}/

%files
%license LICENSE
%doc %{_pkgdocdir}/
%{_bindir}/qotdd
%{_mandir}/man5/qotd.conf.5*
%{_mandir}/man8/qotdd.8*
%{_datadir}/qotd
%{_unitdir}/qotd.service
%config(noreplace) %{_sysconfdir}/qotd.conf

%changelog
* Sat Jun 17 2017 Ben Rosser <rosser.bjr@gmail.com> 0.11.0-1
- Initial package.
